Subject: Re: [PATCH v3 1/3] SubmittingPatches: advertise GitHub Actions CI

From: Đoàn Trần Công Danh <[email-masked]>
Date: Tue, 5 May 2020 23:59:33 +0700

On 2020-05-05 12:47:40-0400, Jeff King <[email-masked]> wrote:
> On Tue, May 05, 2020 at 11:26:39PM +0700, Đoàn Trần Công Danh wrote:
> 
> > From 889cacb689 (ci: configure GitHub Actions for CI/PR, 2020-04-11),
> > GitHub Actions was introduced as an alternative CI system for Git
> > project.
> > 
> > Let's advertise it to Git's contributors to help them test Git on
> > various platforms before submitting to Git.
> 
> I think this makes sense. Two things:
> 
> > +Alternately, you can use GitHub Actions (which supports testing your changes
> > +on Linux, macOS, and Windows) by pushing into a branch in your fork
> > +or opening a GitHub's Pull Request against
> > +https://github.com/git/git.git or a fork of that repository.
> 
> Probably "GitHub Pull Request" would be more idiomatic English.

I guess you're right.

Well, I'm not native English speaker.
I was thinking, this kind of Pull Request is specific to GitHub,
and it's different from git-request-pull(1), So, I use "'s" :)

> Do people need to enable Actions on their forks for the branch push to
> work? I didn't need to for my fork of git/git, but I'm not sure if that's
> because I was playing with Actions months ago and forgot, or if having
> actions enabled on the parent repo makes it work.

It's a long time from the first time I tinker with GitHub Actions,
I couldn't recall if I need to enable it explicitly.

I look into GitHub support pages[1] and GitHub tells me that
GitHub Actions is enabled by default for everyone, and every repo.
We need to disable GitHub Actions explicitly, if we don't want it.

> When I made a new repository that was not connected, I had to explicitly
> enable Actions on the site before it would run the workflow file.

It seems like GitHub Actions will be triggered automatically if GitHub
finds any files in "$TOPDIR/.github/workflows/*.yml"

[1]: https://help.github.com/en/actions/getting-started-with-github-actions/about-github-actions#disabling-or-limiting-github-actions-for-your-repository-or-organization

-- 
Danh